### Method

# GLib Scanner get_next_token

#### Declaration [src]

    GTokenType
    g_scanner_get_next_token (
      GScanner* scanner
    )

#### Description [src]

Parses the next token just like `g_scanner_peek_next_token()` and also removes it from the input stream. The token data is placed in the `token`, `value`, `line`, and `position` fields of the `GScanner` structure.

#### Return value

Type: `GTokenType`

The type of the token.